<?php

define('_CONSTANT_', 1);
require_once '../../../core/start.php';
checkAuth();

head('Умения', 'Умения');

switch($do) 
{
    default: 

    /* 
     * Warior;
     */
     if ($user['class'] == 'warior') 
     {
         ?> 
         <a href="<?=HOME?>/modules/user/skill/index.php?do=info&amp;skill=1" class="link-touch"><img src="/img/user/skill/1/<?=$user['skill_1_lvl']?>.png" width="18px"> Ярость <span class="count"><?=$Filter->clearInt($user['skill_1_lvl'])?>ур.</span></a>
         <a href="<?=HOME?>/modules/user/skill/index.php?do=info&amp;skill=1" class="link-touch"><img src="/img/user/skill/image.png"> Божественный щит</a>
         <?php
     } 

     break;

     case 'info': 
     
     if (isset($_GET['skill']) && is_numeric($_GET['skill'])) 
     {
         $getSkill = $Filter->clearInt($_GET['skill']);

         /* 
          * Fury;
          */
         if ($getSkill == 1) 
         {
             ?> 
             <div class="head">Ярость</div>
             <div class="wrap">
                 <img src="/img/user/skill/1/<?=$user['skill_1_lvl']?>.png" width="32px" height="32px"><br/>
                 <b>Ярость на определенное время дает % к силе. Процент зависит от уровня умения.</b><br/><br/>
             </div>
             <?php 
             if ($user['class'] == 'warior') 
             {
                 ?> 
                 <div class="wrap">
                 Уровень: <?=$Filter->clearInt($user['skill_1_lvl'])?><br/>
                 К силе: <?=$Filter->clearInt($user['skill_1_param'])?>%<br/>
                 <?=ico('time.png')?>Перезарядка: 30сек.<br/>
                 <a href="<?=HOME?>/modules/user/skill/index.php?do=upgrade&amp;skill=1" class="link-touch">Улучшить за <?=moneyIcon() . $Filter->clearInt($user['skill_1_lvl'] * 1000)?></a>
                 </div>
                 <?php
             }
         } 
         ?>
         <a href="<?=HOME?>/modules/user/skill/index.php" class="link-touch">Умения</a>
         <?php
     } 
     else 
     {
         error('Id умения не получен', '/modules/user/skill/index.php', 'Умения');
     } 

     break;

     case 'upgrade': 

     if (isset($_GET['skill']) && is_numeric($_GET['skill'])) 
     {
         $getSkill = $Filter->clearInt($_GET['skill']);

         if ($getSkill == 1) 
         {
             if ($user['class'] == 'warior') 
             {
                 $cost = $user['skill_1_lvl'] * 1000;

                 if ($user['money'] < $cost) 
                 {
                     errorNoExit('Вам не хватает золота');
                 } 
                 else if ($user['skill_1_lvl'] == 5) 
                 {
                     errorNoExit('Умение уже максимального уровня');
                 } 
                 else 
                 {
                     DB::$dbs->query("UPDATE " . USERS . " SET `money` = ?, `skill_1_lvl` = ?, `skill_1_param` = ? WHERE `id` = ?", [($user['money'] - $cost), ($user['skill_1_lvl'] + 1), ($user['skill_1_param'] + 5), $user['id']]);
                     success('Умение успешно улучшено', '/modules/user/skill/index.php', 'Умения');
                 }
             } 
             else 
             {
                 errorNoExit('Умения не сущетвует!');
             }
         }
     } 
     else 
     {
         error('Умение не найдено', '/modules/user/skill/index.php', 'Умения');
     } 

     break;
}

require_once '../../../core/foot.php';